;Para crear imagen, con el vfd levantado: dd if=hwboot.bin of=\\.\b:
 
%define BASE            0x7c00

section .text	;hay un unico segmento de codigo y datos

;----------------------------------------
;|	inicializo segmentos y punteros		|
;----------------------------------------

                org     BASE

tarea1:		CLI			; Disable maskable Interrupts
		XOR	AX,AX		; Zero-out the Accumulator and set
		MOV	SS,AX		; Stack Segment register to ZERO.
		MOV	SP,7C00h	; Stack Pointer top now 0000:7C00
		MOV 	DS,AX
		STI
	
		CLD
		MOV     SI,saludo	; Points to Error Message

miprintf:	LODSB
		OR      AL,AL		; me fijo si ya esta (AL = 00h)
		JZ      bucle		; si ya esta, paso a bucle infinito
		MOV     AH,0Eh		; Video Function 0Eh
		MOV     BX,0007		; Page 0, Mode 7
		INT     10h		; of INT 10. 'Tele-type Output' AL = character to write.

		JMP     miprintf	; Loop until done.

bucle: 		JMP 	bucle		; bucle infinito

saludo 		db 'Hola Mundo! :)',0
times   	0x01fe-$+$$ db 0	
sign            dw      0xAA55

