#include "cmd_asm.h"
#include "cmd_main.h"
#include "printk.h"
#include <string.h>


void main()
{
	char c;
	int nError;
	char buffer[MAX_CMD_LENGTH];
	while (1)
	{
		printk("Ingrese comando:");
		nError = getline(buffer, MAX_CMD_LENGTH);
		if (nError)
			printk("Error: comando incorrecto.\n");
		else
		{
			if (strcmp((const char*)buffer,"exit") == 0)
			{
				printk("Comando exit. Terminando...\n");
				return;
			}
			else
				printk("Error: comando incorrecto.\n");
		};
	};

	return;
};



int getline(char *buffer, int nBufferSize)
{
	int nError;
	int i;
	nError = 0;
	i = 0;
	buffer[i] = readchar();

	while (buffer[i] != '\n')
	{
		if (i<MAX_CMD_LENGTH-1)
			i++;
		else
			nError = 1;

		buffer[i] = readchar();
	};

	buffer[i] = 0;
	return nError;
}
