segment KNT 		class=CODE align=16 USE16
segment KND 		class=FAR_DATA align=16
segment KND_DATA        class=FAR_DATA align=2
segment KNDCONST        class=FAR_DATA align=2
segment KNDCONST2       class=FAR_DATA align=2
segment KND_BSS         class=BSS align=2
segment KND_STACK	class=STACK align=2

group KND_GROUP KND KNDCONST KNDCONST2 KND_DATA KND_BSS KND_STACK

extern 	_end
extern	_edata

segment KNT

global _cstart_
..start:
_cstart_:

	mov	ax,cs
	add 	ax,KND_GROUP
	mov	ds,ax
	mov	es,ax

	xor	ax,ax
	mov	di, _edata	; Start of bss is at end of data
	mov	cx, _end	; End of bss (begin of heap)
	sub	cx, di		; Number of bss bytes
	shr	cx, 1		; Number of words
	rep	stosw		; Clear bss

	extern 	main_
	call 	main_

	mov ax, 4C00h			;Funcin 4CH DOS: termina programa.
	int 21h				;Pasa control a DOS.


;;;
;Funcion void putk(int c)
;el entero c es el ascii correspondiente al caracter a imprimir
;lo tengo que levantar desde el stack, cuidando saltar la direccion de retorno

global _putk
_putk:
        push    bp
        mov     bp,sp
        pusha
        mov     al, [bp+4]      ; al = caracter impreso
        mov     dl, al         	; caracter a dl
        mov     ah, 02h         ; Imprime caracter en modo texto
        int     21h             ; BIOS VIDEO_IO
        popa
        pop     bp
        ret
        

;Funcion char readchar()
global _readchar
_readchar:

	mov ah,01h
	int 21h	
	;devuelve en AL el caracter	
	ret
	
	