#ifndef SYSCALL_H
#define SYSCALL_H

#include <stdint.h>

#define EXEC_COM_ERR_INSUFICIENTMEM 8

#define TEST_CODE 100
#define KEYBOARDIN_WITHECHO_CODE 0x01
#define DISPLAY_OUTPUT_CODE 0x02
#define DISPLAY_STRING_CODE 0x09
#define EXEC_CODE 0x4b
#define TERMINATE_CODE 0x4c

uint16_t exec_com();
uint16_t terminate();
uint16_t syscall();
uint16_t display_string();
uint16_t kb_in_wecho();
uint16_t exec_exe();
uint16_t display_output();

#endif
