echo "Eliminando archivos temporales"
del /Q .\boot\tmp\*.*
del /Q .\kernel\tmp\*.*
del /Q .\cmd\tmp\*.*
echo "Eliminando ejecutables"
del .\boot\bin\bsfat12.bin
del .\kernel\bin\kernel.exe
del .\cmd\bin\command.com
echo "Compilando bootsector" 
nasm .\boot\src\bsfat12.asm -o .\boot\bin\bsfat12.bin -l .\boot\tmp\bsfat12.lst
echo "Compilando archivos del kernel"
nasm -f obj .\kernel\src\init.asm -o .\kernel\tmp\init.obj -l .\kernel\tmp\init.lst
wcc -ms-s-zl-ntKNT-ndKND-od-ecc -i=".\kernel\inc;C:\WATCOM\h" /fo=.\kernel\tmp\ .\kernel\src\main.c
wcc -ms-s-zl-ntKNT-ndKND-od-ecc -i=".\kernel\inc;C:\WATCOM\h" /fo=.\kernel\tmp\ .\kernel\src\printk.c
wcc -ms-s-zl-ntKNT-ndKND-od-ecc -i=".\kernel\inc;C:\WATCOM\h" /fo=.\kernel\tmp\ .\kernel\src\fs.c
wcc -ms-s-zl-ntKNT-ndKND-od-ecc -i=".\kernel\inc;C:\WATCOM\h" /fo=.\kernel\tmp\ .\kernel\src\misc.c
wcc -ms-s-zl-ntKNT-ndKND-od-ecc -i=".\kernel\inc;C:\WATCOM\h" /fo=.\kernel\tmp\ .\kernel\src\proc.c
wcc -ms-s-zl-ntKNT-ndKND-od-ecc -i=".\kernel\inc;C:\WATCOM\h" /fo=.\kernel\tmp\ .\kernel\src\syscall.c
cd kernel
cd tmp
wdis main.obj -l
wdis printk.obj -l
wdis fs.obj -l
wdis misc.obj -l
wdis proc.obj -l
wdis syscall.obj -l
cd ..
cd ..
echo "Compilando archivos de command.com"
nasm -f obj .\cmd\src\init.asm -o .\cmd\tmp\init.obj -l .\cmd\tmp\ini.lst
wcc -ms-s-zl-ntKNT-ndKND-od-ecc -i=".\cmd\inc;C:\WATCOM\h" /fo=.\cmd\tmp\ .\cmd\src\cmd.c
wcc -ms-s-zl-ntKNT-ndKND-od-ecc -i=".\cmd\inc;C:\WATCOM\h" /fo=.\cmd\tmp\ .\cmd\src\printk.c
cd cmd
cd tmp
wdis cmd.obj -l
wdis printk.obj -l
cd ..
cd ..
cd kernel
cd tmp
wlink system dos option dosseg library clibs.lib option map option stack=0x1000 file init file main file printk file fs file misc file proc file syscall name ..\bin\kernel.exe
cd ..
cd ..
cd cmd
cd tmp
wlink system dos option dosseg library clibs.lib option map option stack=0x1000 file init file cmd file printk name ..\bin\command.com
cd ..
cd ..
@echo off
if NOT EXIST .\boot\bin\bsfat12.bin. (echo "Error: no existe bootsector".)
if NOT EXIST .\kernel\bin\kernel.exe. (echo "Error: no existe archivo kernel.exe".)
if NOT EXIST .\cmd\bin\command.com. (echo "Error: no existe archivo command.com".)
	
