segment KNT 		class=CODE align=16 USE16
segment KND 		class=FAR_DATA align=16
segment KND_DATA        class=FAR_DATA align=2
segment KNDCONST        class=FAR_DATA align=2
segment KNDCONST2       class=FAR_DATA align=2
segment KND_BSS         class=BSS align=2
segment KND_STACK	class=STACK align=2

group KND_GROUP KND KNDCONST KNDCONST2 KND_DATA KND_BSS KND_STACK

%define STACK_SIZE 1000h

;CPU 8086

extern 	_end
extern	_edata

segment KNT

global _cstart_
..start:
_cstart_:
	mov	ax,cs
	add 	ax,KND_GROUP
	mov	ds,ax
	mov	es,ax
	
	cli	
	mov	ss,ax
	mov	sp,_end + STACK_SIZE
	sti

	cld
	xor	ax,ax
	mov	di, _edata	; Start of bss is at end of data
	mov	cx, _end	; End of bss (begin of heap)
	sub	cx, di		; Number of bss bytes
	shr	cx, 1		; Number of words
	rep	stosw		; Clear bss
	
	mov	[_linker_end], word _end
	mov	[_linker_edata], word _edata
	mov	[_spini], sp

	extern 	main_
	call 	main_

infinito:
	jmp infinito



global _print_int_asm
_print_int_asm:
	push	bp
	mov	bp,sp
	push	ax
	push	bx
	push	cx
	push	dx
	push	si
	push 	di
	pushf	
		
        mov     cx,4
        mov	ax,[bp+4]
print_int_lab1:
	rol     ax,4
	push    ax
	and     ax,000fh
	add     ax,TablaChars
       	mov     si,ax
       	lodsb
	push    cx
	mov     ah,0Eh		; Video Function 0Eh
	mov     bx,0007		; Page 0, Mode 7
	int     10h		; of INT 10. 'Tele-type Output' AL = character to write.
	pop    	cx
	pop    	ax
	loop   	print_int_lab1

	popf
	pop	di
	pop	si
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	pop	bp

	ret




global _print_msg_asm
_print_msg_asm:
	push	bp
	mov	bp,sp
	push	ax
	push	bx
	push	cx
	push	dx
	push	si
	push 	di
	pushf
			
	cld
	mov	si,[bp+4]
print_msg_asm_2:	
	lodsb
	or      al,al		; me fijo si ya esta (AL = 00h)
	jz      print_msg_asm_1	; si ya esta, termino
	mov     ah,0Eh		; Video Function 0Eh
	mov     bx,0007		; Page 0, Mode 7
	int     10h		; of INT 10. 'Tele-type Output' AL = character to write
	jmp     print_msg_asm_2	; Loop until done
print_msg_asm_1:	
	popf
	pop	di
	pop	si
	pop	dx
	pop	cx
	pop	bx
	pop	ax
	pop	bp
	ret


global _print_nl_asm
_print_nl_asm:			
	pusha
	mov	al,13			
	mov     ah,0Eh		; Video Function 0Eh
	mov     bx,0007		; Page 0, Mode 7
	int     10h		; of INT 10. 'Tele-type Output' AL = character to write
	mov	al,10			
	mov     ah,0Eh		; Video Function 0Eh
	mov     bx,0007		; Page 0, Mode 7
	int     10h		; of INT 10. 'Tele-type Output' AL = character to write
	popa
	ret
;;;
;Aqui voy a agregar la funcion putk(int c)
;el entero c es el ascii correspondiente al caracter a imprimir
;lo tengo que levantar desde el stack, cuidando saltar la direccion de retorno

global _putk
_putk:
	push	bp	;;; respaldo actual bp en el stack
	mov	bp,sp	;;; pongo sp al bp para recuperarlo
	push	ax	;;; respaldo registros
	push	bx	;;; respaldo registros
	push	cx	;;; respaldo registros
	push	dx	;;; respaldo registros
	push	si	;;; respaldo registros
	push 	di	;;; respaldo registros
	pushf		;;; respaldo banderas
		
    mov	ax,[bp+4]	;;; traigo del stack el caracter a imprimir
					;;; creo que el caracter queda en AL no???

	mov     ah,0Eh	;;; Video Function 0Eh
	mov     bx,0007	;;; Page 0, Mode 7
	int     10h		;;; of INT 10. 'Tele-type Output' AL = character to write.

	popf	;;; recupero banderas
	pop	di	;;; respaldo registros
	pop	si	;;; respaldo registros
	pop	dx	;;; respaldo registros
	pop	cx	;;; respaldo registros
	pop	bx	;;; respaldo registros
	pop	ax	;;; respaldo registros
	pop	bp	;;; recupero el bp en el stack

	ret

;;;;;;


	

			
Segment KNDCONST
TablaChars      	db  '0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F'

Segment KND_BSS
extern 	_linker_end
extern	_linker_edata
extern	_spini
        
